# Class ServerCnxnHelper

java.lang.Object
org.apache.zookeeper.server.ServerCnxnHelper

public class ServerCnxnHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`ServerCnxnHelper()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getMaxCnxns(ServerCnxnFactory secureServerCnxnFactory, ServerCnxnFactory serverCnxnFactory)`
gets maximum number of connections in ZooKeeper

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerCnxnHelper

public ServerCnxnHelper()

## Method Details

### getMaxCnxns

public static int getMaxCnxns(ServerCnxnFactory secureServerCnxnFactory, ServerCnxnFactory serverCnxnFactory)
gets maximum number of connections in ZooKeeper